// wrapper for analysis

global ROOT "/Users/Sam/Dropbox/School/Krishna/Indian/replication"
global ROOT "/Volumes/APPLE HDD/Dropbox/School/Krishna/Indian/replication"

global CODE "$ROOT/code"
global OUTPUT "$ROOT/exhibits"
global DATA 	"$ROOT/data"

set more off
cd "$OUTPUT"

global short_zlist_val=1

// restrict sample to only scheduled castes
global only_scheduled=0
local desc_samp ""
if $only_scheduled==1 local desc_samp "_onlySched"
if $only_scheduled==2 local desc_samp "_onlySchedCrossGrp"

// type of expenditure
global use_vis=0
global use_vislux=0
global use_norm=1
local catname ""
if $use_vis==1 local catname "_vis"
if $use_vislux==1 local catname "_vislux"
if $use_norm==1 local catname "_norm"

// random groupings 
global rand_grp=0
local grp_type ""
if $rand_grp==1 local grp_type "_Random"

// make summary stats table
local make_sumstats = 0 

// measure expenditure in per capita terms
global meas_pc = 0
local typeExp ""
if $meas_pc==1 local typeExp "_ExpPC"

// number of goods
scalar J=2
local J = J

// group def options
local group_def "dist"
local group_def "fsuXseg"
local group_def "fsuXsegXreligXsched"

// comparision group
local groupComp_def ""
local desc_compGrp ""
if "`groupComp_def'"!="" local desc_compGrp "_comp`groupComp_def'"

// load data
include "$CODE/prep demand system data.do"

// options
local output_number="14"

// dimension of A matrix
scalar Afull=0
local descA "full"
scalar Adiag=1
if Adiag==1 local descA "diag"
scalar same_spillover=1
if same_spillover==1 local descA "same"

// minimum group size (must be 3 or more)
local min_group_size = 3
scalar min_group_size=`min_group_size'

// flag for generic model
scalar simple_model=0
local simp_name ""
if simple_model==1 local simp_name "_simple"

// interactions with peer effects
global Alist "one"
//global Alist "one schednhi schedhi nschednhi" 
//global Alist "one   zi8"
//global Alist "one   zi7"

// turn on or off measurement error correction
scalar noMeasError=0
local measError_desc ""
if noMeasError==1 local measError_desc "_NoMeasError"

// estimate RE and or FE
scalar estimate_RE=1
scalar estimate_FE=1

// estimation options
global w_initial "winit(unadjusted)"
if J==3 | J==4 | $use_norm==0 global w_initial "winit(identity)"
global wmatrix "wmatrix(robust)"
global trace_level ""
global tol_level "conv_ptol(1e-3) conv_vtol(1e-3)"
global technique ""
global maxiter ""
global technique_RE ""
if $use_norm==0 global technique_RE "technique(dfp 10 nr 2)" 
global derivatives "quickderivatives"
scalar init_FE_from_RE=1
global clust_var "state_district_round"
local clus_name "_clus_Dist"








// xxzx to keep names same
local wmatrix_desc ""
local sectorName "_urbOnly"
local dropZdesc "_dropPre"
local desc_struc_v0 ""
local inst_desc "_exactInst"
local inst_rootp "_noPPXdInst"
local weight_desc ""
local RE_sq_inst_desc ""
local cnstname ""
local actual_pqhat_desc ""
local expUpname "_updateExp"


if $rand_grp==0 {
	global filename_RE "diag_`J'good`catname'`simp_name'_main_nopcross_state_A`descA'`cnstname'_`group_def'`grp_type'`desc_compGrp'_drop`min_group_size'_all`inst_desc'`inst_rootp'_`output_number'_zlist${short_zlist_val}`expUpname'`measError_desc'`RE_sq_inst_desc'`desc_struc_v0'`sectorName'`clus_name'`wmatrix_desc'`actual_pqhat_desc'`dropZdesc'`weight_desc'`desc_samp'`typeExp'_RE"
	global filename_FE "diag_`J'good`catname'`simp_name'_main_nopcross_state_A`descA'`cnstname'_`group_def'`grp_type'`desc_compGrp'_drop`min_group_size'_all`inst_desc'`inst_rootp'_`output_number'_zlist${short_zlist_val}`expUpname'`measError_desc'`RE_sq_inst_desc'`desc_struc_v0'`sectorName'`clus_name'`wmatrix_desc'`actual_pqhat_desc'`dropZdesc'`weight_desc'`desc_samp'`typeExp'_FE"

	global init_FE_file=subinstr("$filename_FE","_FE","_RE",.)

	drop if size_group_round<min_group_size
	if "`groupComp_def'"!="" drop if size_groupComp_round<min_group_size

	//do "$CODE/estim program.do"
	do "$CODE/estim program.do"
}
else {
	global filename_RE "diag_`J'good`catname'`simp_name'_main_nopcross_state_A`descA'`cnstname'_`group_def'`grp_type'`desc_compGrp'_drop`min_group_size'_all`inst_desc'`inst_rootp'_`output_number'_zlist${short_zlist_val}`expUpname'`measError_desc'`RE_sq_inst_desc'`desc_struc_v0'`sectorName'`clus_name'`wmatrix_desc'`actual_pqhat_desc'`dropZdesc'`weight_desc'`desc_samp'`typeExp'_randgrp${rand_grp_num}_RE"
	global filename_FE "diag_`J'good`catname'`simp_name'_main_nopcross_state_A`descA'`cnstname'_`group_def'`grp_type'`desc_compGrp'_drop`min_group_size'_all`inst_desc'`inst_rootp'_`output_number'_zlist${short_zlist_val}`expUpname'`measError_desc'`RE_sq_inst_desc'`desc_struc_v0'`sectorName'`clus_name'`wmatrix_desc'`actual_pqhat_desc'`dropZdesc'`weight_desc'`desc_samp'`typeExp'_randgrp${rand_grp_num}_FE"

	global init_FE_file=subinstr("$filename_FE","_FE","_RE",.)

	drop if size_group_round<min_group_size
	if "`groupComp_def'"!="" drop if size_groupComp_round<min_group_size

	do "$CODE/estim program.do"
}

